A legend facing the camera

(David S. Mavrov) #1

Is there a way to make a legend that faces the camera?

0 Likes

(Graham) #2

image https://i2-prod.dailyrecord.co.uk/incoming/article6897102.ece/ALTERNATES/s615/Screen-Shot-2015-11-25-at-105948.png

0 Likes

(Laurent Delrieu) #3

I just did that to place a sphere in the middle of the screen. You will have to do the math to place what you want where you want
https://developer.rhino3d.com/api/RhinoCommon/html/T_Rhino_Display_RhinoViewport.htm
https://developer.rhino3d.com/api/RhinoCommon/html/Properties_T_Rhino_Display_RhinoPageView.htm

  private void RunScript(double dist, double radius, ref object A)
  {
    Rhino.Display.RhinoViewport view = RhinoDocument.Views.ActiveView.ActiveViewport;
    A = new Sphere(view.CameraLocation + view.CameraDirection * dist, radius);
  }
0 Likes

(David S. Mavrov) #4

You are too young for that game son :smiley:
photo_verybig_112349

1 Like

(Laurent Delrieu) #5

Or that

2 Likes

(David S. Mavrov) #6

This will do :slight_smile:

0 Likes